<template>
	<div class="container position-relative mt-5">
		<router-view v-if="data.isUserLogin"></router-view>
		<div
			v-if="!data.isUserLogin && !data.isLoading"
			class="card text-bg-danger mb-3"
		>
			<div class="card-header">Error</div>
			<div class="card-body text-light">
				<h5 class="card-title">
					El usuario autenticado no tiene permisos para acceder a esta
					aplicación.
				</h5>
				<p class="card-text text-light">
					Se le deben asignar permisos en "titulos_ejec_usuario_actualiza"
				</p>
			</div>
		</div>
	</div>
</template>

<script lang="ts">
// Libraries
import { reactive } from "vue";
import shared from "@/shared.js";
const { loading } = shared();

// Stores
import { useAuxFormDataStore } from "@/stores/auxFormData";

export default {
	components: {},
	setup() {
		const auxFormDataStore = useAuxFormDataStore();

		var data = reactive({
			isLoading: true,
			isUserLogin: null as Boolean | null,
		});

		return {
			data,
			auxFormDataStore,
		};
	},
	async mounted() {
		this.data.isLoading = true;
		loading.show();
		try {
			await Promise.all([this.auxFormDataStore.getUsuarioActualiza()]);
			this.data.isUserLogin = true;
			loading.hide();
		} catch (error) {
			this.data.isUserLogin = false;
			loading.hide();
		}
		this.data.isLoading = false;
	},
	methods: {},
};
</script>
